be.fgov.ehealth.ehbox.core.v3

## Class EhboxIdentifierType

- java.lang.Object
- - be.fgov.ehealth.commons.core.v1.IdentifierType
  - - be.fgov.ehealth.ehbox.core.v3.EhboxIdentifierType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    DestinationContextType, DestinationContextType, Recipient, Substitute

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:30:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class EhboxIdentifierType
      extends IdentifierType
      implements Serializable

  Recipient of a message

  Java class for EhboxIdentifierType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EhboxIdentifierType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:core:v1}IdentifierType">
             <sequence>
               <element name="Quality" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="User" minOccurs="0">
                 <complexType>
                   <simpleContent>
                     <extension base="<urn:be:fgov:ehealth:ehbox:core:v3>INSSType">
                       <attribute name="FirstName" use="required">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <minLength value="1"/>
                             <maxLength value="100"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                       <attribute name="LastName" use="required">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <minLength value="1"/>
                             <maxLength value="100"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                     </extension>
                   </simpleContent>
                 </complexType>
               </element>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EhboxIdentifierType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getQuality()` Gets the value of the quality property.
    `User` | `getUser()` Gets the value of the user property.
    `void` | `setQuality(String value)` Sets the value of the quality property.
    `void` | `setUser(User value)` Sets the value of the user property.

    - ### Methods inherited from class be.fgov.ehealth.commons.core.v1.IdentifierType

      `getId, getSubType, getType, setId, setSubType, setType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EhboxIdentifierType

          public EhboxIdentifierType()

  - ### Method Detail

    - #### getQuality

          public String getQuality()

      Gets the value of the quality property.
      Returns:
        possible object is `String`

    - #### setQuality

          public void setQuality(String value)

      Sets the value of the quality property.
      Parameters:
        `value` - allowed object is `String`

    - #### getUser

          public User getUser()

      Gets the value of the user property.
      Returns:
        possible object is `User`

    - #### setUser

          public void setUser(User value)

      Sets the value of the user property.
      Parameters:
        `value` - allowed object is `User`

Connector Packaging PERSPRACTICALNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.